Introduction

Program Description

SysTools™2001 is a program for Windows 95/98/2000/ME and Windows NT, capable of managing Formula terminals either via an RS-232 connection or via an RS-485 Sysnet network.

It manages two types of communication environments between the host computer and Formula terminals depending on the Startup Mode:

  • EasyGen™ Mode

  • Standard/Enhanced Mode

For EasyGen Mode™ SysTools™2001 enables:

  • interpreters to be loaded onto terminals;

  • application programs to be loaded onto terminals (.APP or .POW files);

  • collected data from terminals to be transferred to the host computer (receive table);

  • data to be transferred from the host computer to terminals (send table).

For Standard/Enhanced Mode SysTools™2001 enables:

  • application programs to be loaded onto terminals (.HEX, .H00 files);

  • the record layout from terminals to be configured;

  • collected data to be transferred to the host computer;


SysTools

Use and Operation

The following pages describe the use of SysTools™2001.


Polling

Data Collection

When running SysTools™2001, once it has been configured and connected to the terminal(s), the program displays the status of each individual device in the Data Collection window defining the Device, State and Information.

For Standard/Enhanced Mode, terminals and/or satellites for RF communications can be defined.

By selecting a column heading (Device, State, Information) the list is alphabetically reordered.

  • Device

Indicates the device name.

  • State

Indicates the operating status between the device and the host computer.

Possible messages are:

Connected: | indicates that the satellite is connected and operating, or that the terminal is inserted in the cradle.
Not connected: | indicates that the satellite is either disconnected from the network or cut off from the power source, or that the terminal is not inserted in its own cradle.
Busy: | indicates that the host computer and the device are exchanging data.
Error: | indicates a malfunction. Check the device physical connections and retry.

If the error message persists, contact the Datalogic technical assistance service or the supplier.

  • Information

Indicates the specific type of terminal or satellite configured and the version of the firmware.

The button Start begins transmission with all the devices on which polling has been enabled (downloading of data onto the host computer).
To activate the polling of one device, see Terminals Properties and Satellites Properties.

The button Stop allows you to end transmission between host computer and devices, which has been started previously by pressing the Start button.

The button Device Info… supplies information on the configuration values for the terminals selected as well as permitting the date and time to be programmed.

The button Network Setup... allows you to configure the transmission parameters.

The button Settings… allows you to select the options for data collection.


Formula Control Properties

SysTools™2001 is able to manage up to 99 terminals and 99 satellites simultaneously since they have different identifying number systems (Station Addresses).

This identifying number can be assigned by programming through serial connection by SysTools™2001 itself (On-Line configuration) or by scanning the appropriate bar codes in the "Menu & Commands Booklet" (Off-Line configuration).

By following these specifications the program allows definition of different transmission parameters for each device needing to communicate with the host computer.

The configuration process is started by pressing the Network Setup... button in the Data Collection window.

You will then be presented with a window displaying:

General Properties

Terminals Properties

Satellites Properties


General Properties

This folder allows you to configure the general parameters for the communication between the host computer and the devices:

Port: | Host serial port used to connect the terminals.
Baud Rate: | Transmission speed between host computer and terminals.
Data Bits: | Number of bits making up the transmitted data.
Parity: | Type of control parity.
Sleep | The waiting time (expressed in milliseconds) for communication between one terminal and the next one. A value of 0 ensures the fastest polling but slows down other programs considerably. You are therefore advised to insert a Sleep time of several hundredths of a millisecond.
Timeout: | This is the maximum waiting time for a reply from terminals or satellites, expressed in milliseconds. The default value is 500 ms. Depending on the specifications of the equipment in use, this value can be reduced to speed communication.

CAUTION

When satellites are also being used, the choice of Baud Rate and Timeout is restricted to the values they can support. These are stated in the relevant documentation.


Terminals Properties

This folder allows you to define the networked terminals and their transmission mode.

  • Index

Shows the terminal that the displayed data refer to.

Arrow buttons: | allow you to scroll the list of the networked terminals.
Insert terminal/Remove terminal buttons: | enable you to update the list of programmed terminals.

  • Protocol

ID: | identifying number (from 1 to 99) given to each terminal.
beep: | allows you to enable or disable the beep within the terminal.
polling: | allows you to enable or disable the downloading of data from the terminal.
Tx sleep: | allows you to define, in milliseconds, the transmission delay between host computer and terminal. Generally, the suggested value should not be altered.

  • File

It allows to define the way to save the data received from each terminal.

Name: | enables you to define the text filename.
Path: | enables you to define the folder where the file will be saved.
append: | allows you to add new data to the file without having to remove the data already saved.
overwrite: | allows you to add new data to the file, replacing the data already saved.
Separat. : | allows you to choose the character that will be used to separate the different fields of each record saved to a file. It is possible to insert the character directly or through its corresponding ASCII codification.

  • Barcode Type

If this button is selected, the following dialog box will appear.

The Barcode Type & Symbology window allows you to define:

Barcode Type: | types of codes used for receiving data;
Check Digit: | only available for some types of code. It checks the correct reading of the code’s constituent characters;
Size: | limits the readable codes to their fixed dimensions. This limit is cancelled by the 0 value, thus allowing the reading of any code whose length comes within the maximum value of 32 characters.

  • Setup

This button allows the terminal initial Setup.
Once the terminal configuration is set in the "Terminals" folder, this button allows to send it to the relative terminal. Together with this configuration the transmission parameters are configured again in the terminal by referring to the "General" folder values.
The displayed dialog box allows to confirm or not (for special use) the transmission parameters.

CAUTION

To program a correct initial Setup, ensure that the terminal has been set to the default values. This Setup occurs if a Standard or Enhanced application program is sent to the terminal or by reading the "return to default parameters" barcode in the "Menu & Commands booklet". Then, ensure that the terminal is the only one accessible in the network.


Satellites Properties

This folder allows you to define the networked satellites and their transmission mode.

  • Index

Shows the satellite that the displayed data refer to.

Arrow buttons: | allow you to scroll the list of the networked satellites.
Insert satellite/Remove satellite buttons: | enable you to update the list of programmed satellites.

  • Protocol

ID: | identifying number (from 101 to 199) given to each satellite.
Mode: | allows you to define the method of connection to the system.
 | 0 - | Network = RS-485 connection with Sysnet network;
 | 1 - | Transmit Immediate = Single RS-232 connection without the support of a transmission protocol;
 | 2 - | Test site survey = Reserved for the testing procedure;
 | 3 - | Test echo = Reserved for the testing procedure;
 | 4 - | Test RSSI = Reserved for the testing procedure
Term. from ... to: | is necessary to indicate the first and last identifying number in the group of terminals managed by each satellite. If one terminal must transfer data within the coverage range of different satellites, its identifying number should be included in each group.
Group: | numerical value from 1 to 6 which allows management of different satellites (communicating with the same terminal) to be distinguished, so that no problems arise in the overlapping coverage zones. The polling operation requires the system to know which satellites share or not radio overlapping coverage zones. To get this information it is necessary that the satellites are divided into different groups. The satellites of each group must not share overlapping coverage and communicate with the same terminals at the same time. This procedure allows the different groups to be activated alternatively, so that they never contain two satellites polling the same terminal at the same time. Furthermore, by giving the same group number to satellites communicating with different terminals, the connection can take place simultaneously.
Polling: | allows the terminals polling. To receive data, either the transmission between the host computer and the satellite (pc - sat.) or between the satellite and terminals (sat. - term.) must be initiated.

  • File

It allows to define the way to save the data received through each satellite.

CAUTION
When the same satellite receives different data, it is not possible to identify the terminal they have been sent from.

Name: | enables you to define the text filename.
Path: | enables you to define the folder where the file will be saved.
append: | allows you to add new data to the file without having to remove the data already saved.
overwrite: | allows you to add new data to the file, replacing the data already saved.
Separat.: | allows you to choose the character that will be used to separate the different fields of each record saved to a file. It is possible to insert the character directly or through its corresponding ASCII codification.

  • Setup

Enables the properties defined in the Satellites Properties file to be sent to the terminal.

When this button is selected the following dialog box will appear, requiring you to confirm the transmission parameters defined in the General Properties file

Find: If the same properties have to be given to several satellites, this button initiates a sequential search for an identifying number from 101 to 199. The current properties will automatically be attributed to the identifier which searched. Due to the long time required to complete this operation it is advised to use this function only when the satellite’s address is unknown.
  • Delay

This window lists the hardware parameters pre-set by the radio frequency satellite (Default RF) and by the infrared satellite (Default IR).

CAUTION

The values of these parameters can only be altered on special instruction from Datalogic or the distributor.


Settings

This allows you to choose the method of data collection.

Manual: | allows data collection to take place using the start and stop buttons in the Data Collection window.
Automatic at startup: | enables data collection immediately when SysTools™2001 is started.
Timer: | allows data collection to be scheduled according to the hours for start and stop time.

For EasyGen™ Mode, the data table(s) to receive from the terminal can be predefined.

Receive all the tables from the terminal: | collects all the data tables specified in the EasyGen™ application running on the terminal.
Receive the current table from terminal: | collects the active data table from the terminal without reference to its name. This selection activates the Set Current Table icon on the Toolbar and relative option in the File menu. In this way SysTools™2001 can set the current table for a specific terminal for uploading its data to the PC.
Receive the table…: | allows a specifically named data table to be uploaded to the PC.


Programming the Terminals

File Menu

The configuration of the terminals offers different options depending on the chosen Startup Mode:

EasyGen™ Mode

Standard/Enhanced Mode


syst9zonEasy

File Menu

EASYGEN™ MODE

In EasyGen™ Mode, the File Menu and relative Toolbar icons allow selecting, sending and receiving EasyGen™ .DAT table files.

The options are:

Send set of tables
Send table
Receive table
Set current table

The first two entries in the submenu are used to load data of one or more .DAT files onto a Formula terminal. They differ in the way the data files are selected.

  • Send set of tables

By selecting the EasyGen™ application (.APP or .POW), SysTools™2001 is able to identify all its associated tables, listing them as in the following figure. The .DAT files can then be selected and sent to the Formula terminal:

This list allows to select the table to send to the terminal by ticking the check box in the "Sel." column. SysTools™2001 always gives the complete list of the tables defined in a program. When the tables do not have a relative .DAT file to send to the terminal, the corresponding check box is disabled.

The following information refers to each table:

Table progr. number (#): | contains the table’s location in the Formula terminal’s memory. It is a number between 0 and 14.
Table name: | contains the table’s identifier and it coincides with the name of the .DAT file.
Row: | contains the maximum number of records that the table may hold. This value does not necessarily coincide with the actual number of records in the .DAT file.
Col. (Columns): | contains the number of fields defined in the corresponding table. This value is defined in the EasyGen™ application and must coincide with the actual length of the .DAT file lines, otherwise an error message is generated.
Field names: | contains the names of all fields (columns) defined in the table.
Path: | contains the path of the .DAT file. If it is empty, by default SysTools™2001 searches for the .DAT file in the same directory where the .APP or .POW file is located. This is an input field. The path is accepted only if the corresponding .DAT file is in the specified directory.

If at least one table is selected, it is possible to send it to the Formula terminal by pressing the Send button. When pressing the Send button, the following dialog box appears, from which it is possible to select the specific terminal to which the selected table data should be sent.

The operation may take several minutes, depending on the length of the tables sent. At its conclusion, a message appears to indicate the end of the operation.

If, on the other hand, you want to save changes and close the dialog box without sending them to the terminal, press the Stop button.
The Cancel button allows closing the dialog box ignoring the changes.

  • Send table...

As in the case above, it is possible to directly select a data file (.DAT) to be sent to the Formula terminal. It is not necessary to specify the relative application (.APP or .POW file) if it is present in the same directory as the .DAT file. If, on the other hand, the application is in a different directory, the system requests the .APP or .POW file selection by means of the usual file selection dialog box.

After file selection, a dialog box appears for terminal selection (the terminal must be present in the system!), just as in the case described in the previous paragraph.

  • Receive table...

This selection downloads data from an EasyGen™ table contained in a Formula terminal memory into a .DAT file on the PC.

The following dialog box appears:

When the OK button is pressed, the name and location of the .DAT file where the downloaded data is to be saved is requested. It should be noted that it is possible to save the data in a file with a name other than the EasyGen™ table identifier.

The operation may take several minutes, depending on the length of the table being sent. At its conclusion, a message appears to indicate the end of the operation.

  • Set current table...

With this command, you can specify the current EasyGen™ table for a Formula terminal. This table can then be uploaded from the terminal using the Data Collection window by pressing the Start button.
You can also set the current EasyGen™ table using the function keys on the terminal.

When the OK button is pressed and the table is not in the terminal you have a "Table not found" message. On the other hand, when no terminal is connected to the host computer the "Unable to connect with device" error will be displayed.

CAUTION

The Formula terminal must be previously declared to the system through the Setup function otherwise an error will be signaled.

The loading time obviously depends on the length of the table, and it may take several minutes to complete.


syst9zon

File Menu

SysTools™2001 allows you to create a file where you can define the table configuration of the terminals in use, i.e. the operation and configuration of the record layout sent from them.

STANDARD/ENHANCED MODE

Standard and Enhanced mode correspond to two different application programs that SysTools™2001 uses in the same communication environment.

Using Standard mode

This application is used to receive barcodes, the quantity, date and time and to start a connection with RS-232 and RS-485.
To activate SysTools™2001 in this mode, configure the network correctly. Then, start the Data Collection procedure.
Even if the menu File options (New, Open, Save and Save as) are activated, they are not to be used with this application.

Using Enhanced mode

This application allows you to define table configurations for the data records to be acquired.
To activate SysTools™2001 in this mode, configure the network correctly. Then, send the Table configuration to the terminal and start the Data Collection procedure.

To configure and send the Tables use the options available in the menu File or in the Toolsbar, as displayed below:

  • New...

Allows you to create a new table configuration (.PRG file) for Formula terminals using Enhanced application program included within Utility Tools.

  • Open...

Allows you to locate a previously defined table configuration.

When the command New... is selected or a pre-existing table configuration is opened by the command Open... the following dialog box will appear.

The General folder allows you to define the table configuration file as follows:

Name: | the filename must be no more than 10 characters long.
N. max records: | the maximum number of records permitted is 999.
Terminal Hot key: | enables the recognition of up to 8 different work configurations (Tables) identified by letters from A to H. They are accessible on the terminal by using its function keys.
View data: | if enabled, the terminal activates the arrow buttons to scroll through the data present in the terminal memory.
Delay display time: | if enabled, this delays the display of received data to the terminal’s screen by using the appropriate bar codes in the Menu & Commands Booklet.
Update data: | if enabled, this allows data present in the terminal’s memory to be altered by using the appropriate bar codes in the "Menu & Commands Booklet".
Delete data: | if enabled, this allows data present in the terminal’s memory to be cancelled by using the appropriate bar codes in the Menu & Commands Booklet.

The Field folder allows you to define the specifications of every field making up the record transmitted from the terminals. This record should be no more than 256 characters long.

Number: | number given to the current field and total field number.
Arrow buttons: | allow you to scroll the list of fields forward and back.
Add field/Remove field buttons: | enable you to update the list of fields.
Name: | the name of each field must be no more than 10 characters long.
Type: | allows you to choose what data should be inserted into the field.
 | Normal: | generally used for fields containing data (codes, prices, goods location).;
 | Time: | the time configured on the terminal is inserted;
 | Date: | the date configured on the terminal is inserted;
 | Fixed: | this field is read by the terminal once. It occurs when starting the work and downloading the data (typical use: record of the operator's code using the terminal).

For fields defined by Normal, you can also select:

Enable search: | if selected, this enables the search for a field, using the appropriate bar codes in the "Menu & Commands Booklet".
Input Once: | if selected, this announces the input of a field only on case of Restart Record.
Fixed Length: | if selected, this enables a check on the amount of data received and ensures that it is not greater than the Size of the field.
Max Len.: | defines the maximum length of the field.
Verify Characters: | if this is selected, it enables a check on the type of characters the received data is composed of, also checking that these characters are within the defined limits (0 to 9 for numerical digits and A to Z for alphabetical characters).

CAUTION
Before sending the file, ensure the terminal has already been configured and that the Enhanced Mode application program has been loaded.

CAUTION
Sending a new table configuration, automatically cancels data present in the terminal memory.

  • Save

Is enabled when you save a new work configuration, or alterations to a pre-existing one, onto the hard disk.

  • Save as...

Is enabled when you save a pre-existing work configuration onto the hard disk under a different name.


Utility

This menu offers different options to initialize the terminals. These options depend on the chosen Startup Mode:

EasyGen™ Mode options

Standard/Enhanced Mode options

The selected type of communication environment will be activated by restarting the program and it can be chosen from the "Startup Mode" option.


syst3v8hEasy

Utility

EASYGEN™ MODE

To initialize the terminals to be used with the EasyGen™ applications it is necessary to send the EasyGen™ interpreter program. Then, it is possible to send the EasyGen™ application. Two specific options are available in the menu Utility:

  • Send EasyGen™ Application

This allows an application (a file with an .APP or .POW extension) to be loaded onto the terminal.

When the Send EasyGen™ Application command is selected the following dialog box appears.

Look in: | the file containing the application program can be searched for in the current directory. It is also possible to search throughout the hard disk and even the network.
File name: | name of the file containing the application program to be loaded onto the terminal.
Files of type: | the filename can have an .APP or .POW extension.

  • Send EasyGen™ Interpreter

This allows an interpreter program (a file with a .HEX or .H00 extension) to be loaded onto the terminal.

When the Send EasyGen™ Interpreter command is selected the following dialog box appears.

Look in: | the file containing the application program can be searched for in the current directory. It is also possible to search throughout the hard disk and even the network.
File name: | name of the file containing the application program to be loaded onto the terminal.
Files of type: | the filename has a .HEX extension or a .H00 extension. The latter refers to the files of terminals with extended memory (i.e.: H01, H02, etc…) which are automatically set by choosing one of them.


Utility

STANDARD/ENHANCED MODE

Standard and Enhanced mode allows just one option to initiate the terminals to be used with their respective applications.

CAUTION

Before proceeding with this phase, ensure that the terminal to be initialized is the only one accessible in the network and has been configured with the default values (see the terminal User's Manual).

  • Send Application

This allows an application (a file with a .HEX. or H00 extension) to be loaded onto the terminal.

When the Send Application… command is selected the following dialog box appears.

Look in: | the file containing the application program can be searched for in the current directory. It is also possible to search throughout the hard disk and even the network.
File name: | name of the file containing the application program to be loaded onto the terminal.
Files of type: | the filename can have a .HEX extension or a .H00 extension. The latter refers to the files of terminals with extended memory (i. e.: H01, H02, etc.) which are automatically set by choosing one of them.


Start

Startup Mode

SysTools™2001 offers two types of communication environments (EasyGen™ Mode and Standard/Enhanced Mode) which enable different options in some of the program menus.

Before starting the program, be sure that the terminal is connected to the host computer. See paragraph "Connecting the Terminal to the Host Computer" in the User's Manual for details.

To start SysTools™2001:

  1. Press the Start button, select Programs, Datalogic, EasyGen™ then select SysTools™2001.

    2. The first time the program is run it will start in EasyGen™ mode and you will be presented with the following display.

  2. press the Network Setup… button to configure the transmission between the host computer and the devices. See Formula Control Properties;
  3. press the Start button to activate the polling.

NOTE

It is possible to choose one of the two types of communication environments (EasyGen™ and Standard/Enhanced) in the dialog box appearing by selecting Startup Mode option in the Utility menu:

Once the type of communication is selected, it is necessary to restart the program to enable it.


syst3cvk

SysTools™2001

  • Program Description

  • Use and Operation